53% van de WordPress sites draait op een onveilige PHP-versie

Je weet inmiddels wel dat de veiligheid van je WordPress site heel belangrijk is. Maar hoe veilig is je WordPress site nu echt? Uit een zeer recent onderzoek van Savvii, dat gebaseerd is op de gegevens van WordPress.org, blijkt dat meer dan de helft (53%) van de WordPress sites op een onveilige PHP-versie draait.

Onveilige PHP-versie

Wanneer een WordPress site op een onveilige PHP-versie draait, wil dat zeggen dat hij draait op een versie van PHP waarvoor geen security releases meer uitkomen. De veiligheid van die versie kan niet meer worden gewaarborgd, en dat maakt deze website zeer kwetsbaar voor cybercriminelen. Momenteel worden alleen versies 5.6, 7.0 en 7.1 nog ondersteund. Met andere woorden, als je geen gebruik maakt van PHP 5.6, 7.0 of 7.1, behoor je tot de 53% van de WordPress sites die op een onveilige PHP-versie draait.

Hosting en Webhosting bij Combell

php-versies

Overzicht van de PHP-versies waar WordPress sites op draaien

Verantwoordelijkheid

Het is eigenlijk best opmerkelijk dat er nog zoveel WordPress websites op een oude PHP-versie draaien. Zeker als je bedenkt dat er al lang van tevoren bekend wordt gemaakt tot wanneer een bepaalde versie wordt ondersteund. Van de meest recente versies van PHP staan deze data ook al vast. In veel gevallen komt het doordat het niet duidelijk is wie nu de verantwoordelijkheid heeft om te upgraden naar een veiligere versie. Is dat de eigenaar van de website, de ontwikkelaar van de website, of de hostingpartij?

“Als hostingpartij kiezen wij er bewust voor om geen onveilige PHP-versies toe te laten,” zegt Alexander van Steen, Technical Manager bij Savvii Managed WordPress Hosting. “Al onze klanten hebben PHP-versie 5.6 of hoger. Wij informeren onze klanten ook actief over de voordelen van PHP 7.x en stellen ze in staat makkelijk te switchen van versie. 50% van de websites op onze servers draait al op PHP 7.x. Dat geeft een heel ander beeld dan de wereldwijde statistieken van WordPress sites, slechts 9%.”

Veel website-eigenaren hebben een beperkte technische kennis; sommigen weten niet eens wat PHP is. Je kunt het hen dan ook niet echt kwalijk nemen als hun site op een onveilige PHP-versie draait. Een ontwikkelaar zou in elk geval op een upgrade moeten aansturen als de hostingpartij zelf het initiatief niet neemt om te upgraden.

Performance

Het upgraden van een verouderde PHP-versie is overigens niet alleen belangrijk voor de veiligheid van de website, maar ook voor de performance. PHP 7.x is maar liefst 2-3 keer zo snel als PHP 5.6. En zoals je waarschijnlijk wel weet telt elke seconde. Een snellere WordPress website zorgt voor meer tevredenheid onder je bezoekers, een betere reputatie, een lagere bounce rate, meer conversie en niet te vergeten een betere ranking in Google – wat ook weer leidt tot meer bezoekers.

Hoe zit het met de veiligheid van jouw WordPress site?

Twijfel je aan de veiligheid? WP Handleiding kan je helpen met secure hosting! Neem gerust contact met ons voor meer informatie. We helpen je graag om je website optimaal te beveiligen!

Korting op WordPress handleiding

Geef een reactie